/*
   xdm_screen.h
*/

#ifndef XDMSCREEN_H
#define XDMSCREEN_H

#include "xdm_gfx.h"

#include <qevent.h>
#include <qfiledlg.h>
#include <qwidget.h>


class ScreenWidget : public QWidget
{
    Q_OBJECT;
    
    public:
        ScreenWidget( QWidget *parent = 0, const char *name = 0);
        
    protected:
        void paintEvent( QPaintEvent *evt);
        void mousePressEvent( QMouseEvent *evt);
        void mouseReleaseEvent( QMouseEvent *evt);
        
    private:
        DynaPixels   *screen;
        QFileDialog  *dynfile;
        
        char  released;
        
    public slots:
        void loadLevel( const char *filename);
};

#endif
